Bug 916936 - can't copy text from a read-only document in Calc
Summary: can't copy text from a read-only document in Calc
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice   
(Show other bugs)
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-01 09:42 UTC by Daniel Mach
Modified: 2013-10-08 11:40 UTC (History)
6 users (show)

Fixed In Version: libreoffice-3.6.7.2-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 11:40:38 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Mach 2013-03-01 09:42:53 UTC
Reproducer:
* get an email with .xls (or any other) attachment
* open the attachment in LO Calc
* the document is opened in read-only mode
* click on any cell and try to copy text from the input line (which is above the spreadsheet)
* a "document is in read-only mode" dialog is displayed and you can't copy any text from the input line

Expected result:
* you can copy text even if a document is read-only

Comment 1 Stephan Bergmann 2013-03-01 09:49:57 UTC
sbergman->erAck: Might be late fallout from <http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9ecec7c74687ed5a9470cffb7d02e0e6e83107e> "Allow for editing of read-only documents."

Comment 2 Eike Rathke 2013-03-04 18:16:17 UTC
Nah, this one is much older, was also in 3.5


Note You need to log in before you can comment on or make changes to this bug.